package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.Date;

public class TWarningThresholdList {
    private String id;

    private String orgId;

    private String vCfCode;

    private Integer cewen;

    private Integer chuliang;

    private Integer cechong;

    private Integer ceqi;

    private Integer kongzhi;

    private String updatePerson;

    private Date updateTime;

    private Integer delFlag;

    /**
     * 32位唯一编码
     * @return id 32位唯一编码
     */
    public String getId() {
        return id;
    }

    /**
     * 32位唯一编码
     * @param id 32位唯一编码
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库房编码
     * @return org_id 库房编码
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 库房编码
     * @param orgId 库房编码
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 仓房编码 
     * @return v_cf_code 仓房编码 
     */
    public String getvCfCode() {
        return vCfCode;
    }

    /**
     * 仓房编码 
     * @param vCfCode 仓房编码 
     */
    public void setvCfCode(String vCfCode) {
        this.vCfCode = vCfCode == null ? null : vCfCode.trim();
    }

    /**
     * 测温 0开启 1关闭
     * @return cewen 测温 0开启 1关闭
     */
    public Integer getCewen() {
        return cewen;
    }

    /**
     * 测温 0开启 1关闭
     * @param cewen 测温 0开启 1关闭
     */
    public void setCewen(Integer cewen) {
        this.cewen = cewen;
    }

    /**
     * 是否为储粮 0是 1不是
     * @return chuliang 是否为储粮 0是 1不是
     */
    public Integer getChuliang() {
        return chuliang;
    }

    /**
     * 是否为储粮 0是 1不是
     * @param chuliang 是否为储粮 0是 1不是
     */
    public void setChuliang(Integer chuliang) {
        this.chuliang = chuliang;
    }

    /**
     * 测虫 0开启 1关闭
     * @return cechong 测虫 0开启 1关闭
     */
    public Integer getCechong() {
        return cechong;
    }

    /**
     * 测虫 0开启 1关闭
     * @param cechong 测虫 0开启 1关闭
     */
    public void setCechong(Integer cechong) {
        this.cechong = cechong;
    }

    /**
     * 测气 0开启 1关闭
     * @return ceqi 测气 0开启 1关闭
     */
    public Integer getCeqi() {
        return ceqi;
    }

    /**
     * 测气 0开启 1关闭
     * @param ceqi 测气 0开启 1关闭
     */
    public void setCeqi(Integer ceqi) {
        this.ceqi = ceqi;
    }

    /**
     * 设备是否异常 0正常 1异常
     * @return kongzhi 设备是否异常 0正常 1异常
     */
    public Integer getKongzhi() {
        return kongzhi;
    }

    /**
     * 设备是否异常 0正常 1异常
     * @param kongzhi 设备是否异常 0正常 1异常
     */
    public void setKongzhi(Integer kongzhi) {
        this.kongzhi = kongzhi;
    }

    /**
     * 创建人
     * @return update_person 创建人
     */
    public String getUpdatePerson() {
        return updatePerson;
    }

    /**
     * 创建人
     * @param updatePerson 创建人
     */
    public void setUpdatePerson(String updatePerson) {
        this.updatePerson = updatePerson == null ? null : updatePerson.trim();
    }

    /**
     * 创建时间
     * @return update_time 创建时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 创建时间
     * @param updateTime 创建时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @return del_flag 删除标志（0：删除，1：未删除）
     */
    public Integer getDelFlag() {
        return delFlag;
    }

    /**
     * 删除标志（0：删除，1：未删除）
     * @param delFlag 删除标志（0：删除，1：未删除）
     */
    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}